@variants responsive {
  /* transition-property */
  .transition-color {
    transition-property: color, background-color;
  }
  .transition-opacity {
    transition-property: opacity;
  }
  .transition-transform {
    transition-property: transform;
  }
  .transition-all {
    transition-property: all;
  }

  /* transition-duration */
  .transition-fastest {
    transition-duration: var(--duration-fastest);
  }
  .transition-faster {
    transition-duration: var(--duration-faster);
  }
  .transition-fast {
    transition-duration: var(--duration-fast);
  }
  .transition-medium {
    transition-duration: var(--duration-medium);
  }
  .transition-slow {
    transition-duration: var(--duration-slow);
  }
  .transition-slower {
    transition-duration: var(--duration-slower);
  }
  .transition-slowest {
    transition-duration: var(--duration-slowest);
  }

  /* transition-timing-function */
  .transition-linear {
    transition-timing-function: var(--linear);
  }
  .transition-ease-in {
    transition-timing-function: var(--ease-in);
  }
  .transition-ease-out {
    transition-timing-function: var(--ease-out);
  }
  .transition-ease-in-out {
    transition-timing-function: var(--ease-in-out);
  }
}
